/**
 * 
 */
package at.srfg.ikewiki.data;

/**
 * @author wastl
 *
 */
public class Role {

	private String name, description;
	
	/**
	 * 
	 */
	public Role(String name, String description) {
		super();
		
		this.name = name.trim();
		this.description = description.trim();
	}
	
	public Role(String name) {
		this(name,"");
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if(obj instanceof Role) {
			return ((Role)obj).getName().equals(getName());
		} else {
			return false;
		}
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		return getName().hashCode();
	}

	
	
}
