/**
 * 
 */
package at.srfg.semweb.reasoner.data;

/**
 * @author wastl
 *
 */
public class PrologTriple {

	PrologResource subject, predicate;
	PrologNode object;
	
	boolean direct;
	
	
	public PrologTriple(PrologResource subject, PrologResource predicate, PrologNode object) {
		this(subject,predicate,object,true);
	}
	
	
	/**
	 * 
	 */
	public PrologTriple(PrologResource subject, PrologResource predicate, PrologNode object, boolean direct) {
		super();
		this.subject   = subject;
		this.predicate = predicate;
		this.object    = object;
		this.direct    = direct;
	}


	/**
	 * @return Returns the direct.
	 */
	public boolean isDirect() {
		return direct;
	}


	/**
	 * @param direct The direct to set.
	 */
	public void setDirect(boolean direct) {
		this.direct = direct;
	}


	/**
	 * @return Returns the object.
	 */
	public PrologNode getObject() {
		return object;
	}


	/**
	 * @param object The object to set.
	 */
	public void setObject(PrologNode object) {
		this.object = object;
	}


	/**
	 * @return Returns the predicate.
	 */
	public PrologResource getPredicate() {
		return predicate;
	}


	/**
	 * @param predicate The predicate to set.
	 */
	public void setPredicate(PrologResource predicate) {
		this.predicate = predicate;
	}


	/**
	 * @return Returns the subject.
	 */
	public PrologResource getSubject() {
		return subject;
	}


	/**
	 * @param subject The subject to set.
	 */
	public void setSubject(PrologResource subject) {
		this.subject = subject;
	}

	
	
}
