/**
 * 
 */
package at.srfg.ikewiki.layout.perspectives;

import java.util.Collections;

import at.srfg.ikewiki.Main;
import at.srfg.ikewiki.actions.Action;

/**
 * @author sschaffe
 *
 */
public class ErrorPerspective extends BasePerspective implements Perspective {

	private String message;
	
	/**
	 * @param m
	 */
	public ErrorPerspective(Main m, String message) {
		super(m);
		this.message = message;
	}

	/* (non-Javadoc)
	 * @see at.srfg.ikewiki.layout.perspectives.BasePerspective#getTitle()
	 */
	@Override
	public String getTitle() {
		return "Error";
	}

	/* (non-Javadoc)
	 * @see at.srfg.ikewiki.layout.perspectives.BasePerspective#getLocalTitle()
	 */
	@Override
	protected String getLocalTitle() {
		return "Error";
	}

	
	
	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	/* (non-Javadoc)
	 * @see at.srfg.ikewiki.layout.perspectives.Perspective#getActions()
	 */
	public Iterable<Action> getActions() {
		return Collections.emptyList(); 
	}

}
