/**
 *  Copyright (C) 2005
 *  Sebastian Schaffert and Rupert Westenthaler
 *  Salzburg Research Forschungsgesellschaft m.b.H.
 *
 *  IkeWiki is free software; you can redistribute it and/or
 * 	modify it under the terms of the GNU Lesser General Public
 * 	License as published by the Free Software Foundation; either
 * 	version 2 of the License, or (at your option) any later version.
 *
 * 	This program is distributed in the hope that it will be useful,
 * 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * 	Lesser General Public License for more details.
 *
 * 	You should have received a copy of the GNU Lesser General Public
 * 	License along with this library; if not, write to the
 * 	Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * 	Boston, MA 02111-1307, USA.
 * 
 */
package at.srfg.ikewiki.layout.views;

import java.util.ListResourceBundle;

/**
 * @author sschaffe
 *
 */
public class BioTaxonomyResources extends ListResourceBundle {

	/**
	 * 
	 */
	public BioTaxonomyResources() {
		super();
	}

    public Object[][] getContents() {
        return contents;
    }
    
    static final Object[][] contents = {
		{	"hasDomain",			"Domain"			},
		{	"hasKingdom",		"Kingdom"		},
		{	"hasDivision",		"Division"		},
		{	"hasSubdivision",	"Subdivision"	},
		{	"hasClass",			"Class"			},
		{	"hasSubclass",		"Subclass"		},
		{	"hasOrder",			"Order"			},
		{	"hasSuborder",		"Suborder"		},
		{	"hasFamily",			"Family"			},
		{	"hasSubfamily",		"Subfamily"		},
		{	"hasGenus",			"Genus"			},
		{	"hasSpecies",		"Species"		},
		{	"Taxonomy",			"Scientific Classification"		},
		{	"Nomenclature",		"Nomenclature"   }
    };

}
