/**
 * 
 */
package at.srfg.semweb.reasoner.data;

/**
 * @author wastl
 *
 */
public class PrologAnonResource implements PrologNode {

	private String id;
	
	/**
	 * 
	 */
	public PrologAnonResource(String id) {
		super();
		this.id = id;
		
	}

	
	/**
	 * @return Returns the id.
	 */
	public String getId() {
		return id;
	}



	/**
	 * @param id The id to set.
	 */
	public void setId(String id) {
		this.id = id;
	}



	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isResource()
	 */
	public boolean isResource() {
		return true;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isURIResource()
	 */
	public boolean isURIResource() {
		return false;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isLiteral()
	 */
	public boolean isLiteral() {
		return false;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isAnonymous()
	 */
	public boolean isAnonymous() {
		return true;
	}

}
