package at.srfg.semweb.reasoner.data;

public class PrologLiteral implements PrologNode {

	private String content;
	
	public PrologLiteral(String content) {
		this.content = content;
	}
	
	public String getLiteralValue() {
		return content;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isAnonymous()
	 */
	public boolean isAnonymous() {
		return false;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isLiteral()
	 */
	public boolean isLiteral() {
		return true;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isResource()
	 */
	public boolean isResource() {
		return false;
	}

	/* (non-Javadoc)
	 * @see at.srfg.semweb.reasoner.data.PrologNode#isURIResource()
	 */
	public boolean isURIResource() {
		return false;
	}
	
	
	
}
