<%--
  *  Copyright (C) 2006
  *  Sebastian Schaffert and Rupert Westenthaler
  *  Salzburg Research Forschungsgesellschaft m.b.H.
  *
  *  IkeWiki is free software; you can redistribute it and/or
  *  modify it under the terms of the GNU Lesser General Public
  *  License as published by the Free Software Foundation; either
  *  version 2 of the License, or (at your option) any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  *  Lesser General Public License for more details.
  *
  *  You should have received a copy of the GNU Lesser General Public
  *  License along with this library; if not, write to the
  *  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  *  Boston, MA 02111-1307, USA.
  * 
--%>
<jsp:directive.page import="at.srfg.ikewiki.Main,at.srfg.ikewiki.render.*,at.srfg.ikewiki.layout.portlet.*,at.srfg.ikewiki.data.*"/>
<jsp:directive.page import="at.srfg.ikewiki.db.*"/>
<jsp:directive.page import="java.util.*"/>

<%!
	Main main;
%>
<%
    try {
	    main = Main.getInstance();
	} catch(DBException ex) {
		response.sendRedirect("setup.jsp");
		return;
	}


    // parse post data, if there is any
	RequestData parameters = main.parseRequestData(request);

	response.setCharacterEncoding("UTF-8");

	String action = parameters.get("action");
	String subaction = parameters.get("subaction");
	String title  = parameters.get("title");
	
	response.setContentType("text/xml");		
	
	System.err.println("mozile-backend request: action="+action+", subaction="+subaction+", title="+title);

%>

<% if(action.equals("wikilink")) { %>	
	<%
		String target = parameters.get("target");
		String label = parameters.get("label");
		WikiResource r_context = main.getResourceByQTitle(title);
		
		String fragment = "<intlink xmlns=\""+Namespace.NS_IKEWIKI_CORE+"\" target=\""+target+"\">";
		if(label != null) {
			fragment += label;
		}
		fragment += "</intlink>";
		System.err.println("fragment: "+fragment);
		
		String xml_result = main.getRenderingPipeline().transformWIFFragment(fragment,r_context);
		System.err.println("result: "+xml_result);
		
	%>
	<%= xml_result %>
<% } %>