<%--
  *  Copyright (C) 2006
  *  Sebastian Schaffert and Rupert Westenthaler
  *  Salzburg Research Forschungsgesellschaft m.b.H.
  *
  *  IkeWiki is free software; you can redistribute it and/or
  *  modify it under the terms of the GNU Lesser General Public
  *  License as published by the Free Software Foundation; either
  *  version 2 of the License, or (at your option) any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  *  Lesser General Public License for more details.
  *
  *  You should have received a copy of the GNU Lesser General Public
  *  License along with this library; if not, write to the
  *  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  *  Boston, MA 02111-1307, USA.
  * 
--%>
<jsp:directive.page import="at.srfg.ikewiki.Main,at.srfg.ikewiki.render.*,at.srfg.ikewiki.layout.portlet.*,at.srfg.ikewiki.data.*"/>
<jsp:directive.page import="at.srfg.ikewiki.db.*"/>
<jsp:directive.page import="java.util.*"/>

<%!
	Main main;
%>
<%
    try {
	    main = Main.getInstance();
	} catch(DBException ex) {
		response.sendRedirect("setup.jsp");
		return;
	}


    // parse post data, if there is any
	RequestData parameters = main.parseRequestData(request);

	response.setCharacterEncoding("UTF-8");


	String id     = parameters.get("id");
	String action = parameters.get("action");
	String subaction = parameters.get("subaction");
	String title  = parameters.get("MozileID");

	System.err.println("mozile-save request: action="+action+", subaction="+subaction+", title="+title);
	
	
	
	try {
		if(action != null) {
			main.getActionRegistry().handleAction(action,parameters,response,session);
		}
	
		response.setContentType("text/xml");	
%>
<mozile xmlns="http://www.mozile.mozdev.org/ns/save/">
	<post>
		<status>1</status>
		<statustext>Saved OK</statustext>
	</post>
</mozile>
<% } catch(Exception ex) { %>
<mozile xmlns="http://www.mozile.mozdev.org/ns/save/">
	<post>
		<status>2</status>
		<statustext><%= ex.getMessage() %></statustext>
	</post>
</mozile>
<% } %>